users:
  - default
disable_root: true
chpasswd:
  list: |
    root:RANDOM
preserve_hostname: false
apt_preserve_sources_list: true
apt_update: true
apt_upgrade: true
apt_reboot_if_required: true
write_files:
  - path: /etc/ssh/sshd_config
    content: |
      PermitRootLogin no
      PubkeyAuthentication yes
      PasswordAuthentication yes
      PermitEmptyPasswords no
      ChallengeResponseAuthentication no
      UsePAM yes
      X11Forwarding yes
      PrintMotd no
      AcceptEnv LANG LC_*
      Subsystem	sftp	/usr/lib/openssh/sftp-server
  - path: /etc/sudoers.d/99-cloud-init-users
    content: |
      Defaults !fqdn
  - path: /etc/sysctl.d/99-swappiness.conf
    content: |
      vm.swappiness = 10
      vm.nr_hugepages = 0
cloud_init_modules:
  - migrator
  - seed_random
  - bootcmd
  - write-files
  - growpart
  - resizefs
  - disk_setup
  - mounts
  - set_hostname
  - update_hostname
  - update_etc_hosts
  - ca-certs
  - rsyslog
  - users-groups
  - ssh
cloud_config_modules:
  - emit_upstart
  - ssh-import-id
  - locale
  - set-passwords
  - grub-dpkg
  - apt-pipelining
  - apt-configure
  - ntp
  - timezone
  - disable-ec2-metadata
  - runcmd
  - byobu
cloud_final_modules:
  - package-update-upgrade-install
  - fan
  - puppet
  - chef
  - salt-minion
  - mcollective
  - rightscale_userdata
  - scripts-vendor
  - scripts-per-once
  - scripts-per-boot
  - scripts-per-instance
  - scripts-user
  - ssh-authkey-fingerprints
  - keys-to-console
  - phone-home
  - final-message
  - power-state-change
final_message: "The system is finally up, after $UPTIME seconds"
system_info:
  distro: debian
  default_user:
    name: admin
    lock_passwd: False
    gecos: Local Administrator
    groups: [adm, audio, cdrom, dialout, dip, docker, floppy, netdev, plugdev, sudo, video]
    sudo: ["ALL=(ALL) NOPASSWD:ALL"]
    shell: /bin/bash
    ssh_authorized_keys: []
  paths:
    cloud_dir: /var/lib/cloud/
    templates_dir: /etc/cloud/templates/
    upstart_dir: /etc/init/
  package_mirrors:
    - arches: [default]
      failsafe:
        primary: http://deb.debian.org/debian
        security: http://security.debian.org/
  ssh_svcname: ssh
